commit:     d0612febff6859d90f20ab854fba0943a62fe4ef
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 20 00:31:18 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 20 01:20:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0612feb

app-editors/levee: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/levee/files/levee-3.4o-darwin.patch  |  4 +--
 app-editors/levee/files/levee-3.5-glibc210.patch | 25 +++++++----------
 app-editors/levee/files/levee-3.5a-QA.patch      |  5 ++--
 app-editors/levee/levee-3.5a.ebuild              | 34 +++++++++++++-----------
 4 files changed, 32 insertions(+), 36 deletions(-)

diff --git a/app-editors/levee/files/levee-3.4o-darwin.patch 
b/app-editors/levee/files/levee-3.4o-darwin.patch
index 9481b1a3ade..0af6f799496 100644
--- a/app-editors/levee/files/levee-3.4o-darwin.patch
+++ b/app-editors/levee/files/levee-3.4o-darwin.patch
@@ -1,5 +1,5 @@
---- unixcall.c.orig    2007-03-18 17:46:05 +0100
-+++ unixcall.c 2007-03-18 17:51:13 +0100
+--- a/unixcall.c
++++ b/unixcall.c
 @@ -77,6 +77,13 @@
  static int ioset = 0;
  static struct termios old;

diff --git a/app-editors/levee/files/levee-3.5-glibc210.patch 
b/app-editors/levee/files/levee-3.5-glibc210.patch
index 51cc829cda2..f290613d263 100644
--- a/app-editors/levee/files/levee-3.5-glibc210.patch
+++ b/app-editors/levee/files/levee-3.5-glibc210.patch
@@ -1,6 +1,5 @@
-diff -NrU5 levee-3.5.original/editcor.c levee-3.5/editcor.c
---- levee-3.5.original/editcor.c       2009-07-21 22:58:18.000000000 +0000
-+++ levee-3.5/editcor.c        2009-07-21 23:07:21.000000000 +0000
+--- a/editcor.c
++++ b/editcor.c
 @@ -183,11 +183,11 @@
  
      strcpy(scratch, "/tmp/lv.XXXXXX");
@@ -14,9 +13,8 @@ diff -NrU5 levee-3.5.original/editcor.c levee-3.5/editcor.c
      if ( (tf = mkstemp(scratch)) < 0 ) {
        prints("[tempfile error]");
        return FALSE;
-diff -NrU5 levee-3.5.original/extern.h levee-3.5/extern.h
---- levee-3.5.original/extern.h        2009-07-21 22:58:18.000000000 +0000
-+++ levee-3.5/extern.h 2009-07-21 23:02:39.000000000 +0000
+--- a/extern.h
++++ b/extern.h
 @@ -195,11 +195,11 @@
  extern exec_type PROC editcore();
  
@@ -30,9 +28,8 @@ diff -NrU5 levee-3.5.original/extern.h levee-3.5/extern.h
  extern bool PROC pushb(),pushi(),pushmem(),uputcmd(), delete_to_undo();
  extern bool PROC ok_to_scroll(), move_to_undo();
  
-diff -NrU5 levee-3.5.original/main.c levee-3.5/main.c
---- levee-3.5.original/main.c  2009-07-21 22:58:18.000000000 +0000
-+++ levee-3.5/main.c   2009-07-21 23:09:52.000000000 +0000
+--- a/main.c
++++ b/main.c
 @@ -251,11 +251,11 @@
        println();
  
@@ -46,9 +43,8 @@ diff -NrU5 levee-3.5.original/main.c levee-3.5/main.c
        if (mode == E_VISUAL && zotscreen && noquit) {  /*ask for more*/
            prints(" [more]");
            if ((ch=peekc()) == 13 || ch == ' ' || ch == ':')
-diff -NrU5 levee-3.5.original/misc.c levee-3.5/misc.c
---- levee-3.5.original/misc.c  2009-07-21 22:58:18.000000000 +0000
-+++ levee-3.5/misc.c   2009-07-21 23:09:10.000000000 +0000
+--- a/misc.c
++++ b/misc.c
 @@ -19,11 +19,11 @@
   */
  #include "levee.h"
@@ -62,9 +58,8 @@ diff -NrU5 levee-3.5.original/misc.c levee-3.5/misc.c
      int len;
      char flag;
      
-diff -NrU5 levee-3.5.original/move.c levee-3.5/move.c
---- levee-3.5.original/move.c  2009-07-21 22:58:18.000000000 +0000
-+++ levee-3.5/move.c   2009-07-21 23:10:26.000000000 +0000
+--- a/move.c
++++ b/move.c
 @@ -158,11 +158,11 @@
      case FSEARCH:
      case BSEARCH:

diff --git a/app-editors/levee/files/levee-3.5a-QA.patch 
b/app-editors/levee/files/levee-3.5a-QA.patch
index 7e37c76b34a..f6553813d8c 100644
--- a/app-editors/levee/files/levee-3.5a-QA.patch
+++ b/app-editors/levee/files/levee-3.5a-QA.patch
@@ -1,6 +1,5 @@
-diff -NrU5 levee-3.5a.original/configure.inc levee-3.5a/configure.inc
---- levee-3.5a.original/configure.inc  2009-08-12 19:51:26.000000000 +0000
-+++ levee-3.5a/configure.inc   2009-08-12 20:13:41.000000000 +0000
+--- a/configure.inc
++++ b/configure.inc
 @@ -1074,11 +1074,11 @@
      else
        PROG_INSTALL="$DEST"

diff --git a/app-editors/levee/levee-3.5a.ebuild 
b/app-editors/levee/levee-3.5a.ebuild
index 3f4400b4c76..e5a02aa046f 100644
--- a/app-editors/levee/levee-3.5a.ebuild
+++ b/app-editors/levee/levee-3.5a.ebuild
@@ -1,8 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit toolchain-funcs epatch
+EAPI=7
+
+inherit toolchain-funcs
 
 DESCRIPTION="Really tiny vi clone, for things like rescue disks"
 HOMEPAGE="http://www.pell.chi.il.us/~orc/Code/";
@@ -11,34 +12,35 @@ 
SRC_URI="http://www.pell.chi.il.us/~orc/Code/levee/${P}.tar.gz";
 LICENSE="levee"
 SLOT="0"
 KEYWORDS="amd64 ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos 
~sparc-solaris ~x86-solaris"
-IUSE=""
 
 RDEPEND="
        !app-text/lv
        sys-libs/ncurses:0=
 "
-DEPEND="
-       ${RDEPEND}
-       virtual/pkgconfig
-"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
-src_prepare() {
-       epatch "${FILESDIR}"/${PN}-3.4o-darwin.patch
-       epatch "${FILESDIR}"/${P}-QA.patch
-       epatch "${FILESDIR}"/${PN}-3.5-glibc210.patch
-}
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.4o-darwin.patch
+       "${FILESDIR}"/${P}-QA.patch
+       "${FILESDIR}"/${PN}-3.5-glibc210.patch
+)
 
 src_configure() {
        export AC_CPP_PROG=$(tc-getCPP)
-       export AC_PATH=${PATH}
+       export AC_PATH="${PATH}"
        export AC_LIBDIR="$($(tc-getPKG_CONFIG) --libs ncurses)"
-       ./configure.sh --prefix="${PREFIX}"/usr || die "configure failed"
+
+       ./configure.sh \
+               --prefix="${PREFIX}"/usr || die "configure failed"
 }
 
 src_compile() {
-       emake CFLAGS="${CFLAGS} -Wall -Wextra ${LDFLAGS}" CC=$(tc-getCC)
+       emake \
+               CFLAGS="${CFLAGS} -Wall -Wextra ${LDFLAGS}" \
+               CC=$(tc-getCC)
 }
 
 src_install() {
-       emake PREFIX="${D}${EPREFIX}" install
+       emake PREFIX="${D}/${EPREFIX}" install
 }

Reply via email to